/*
 * Coscine Web API
 *
 * Coscine (short for <b>CO</b>llaborative <b>SC</b>ientific <b>IN</b>tegration <b>E</b>nvironment) is the research data management platform for your research project.
 *
 * The version of the OpenAPI document: 2.0
 * Contact: servicedesk@itc.rwth-aachen.de
 * Generated by: https://github.com/openapitools/openapi-generator.git
 */


using Xunit;

using System;
using System.Linq;
using System.IO;
using System.Collections.Generic;
using Coscine.ApiClient.Core.Model;
using Coscine.ApiClient.Core.Client;
using System.Reflection;
using Newtonsoft.Json;

namespace Coscine.ApiClient.Core.Test.Model
{
    /// <summary>
    ///  Class for testing RdsS3OptionsDto
    /// </summary>
    /// <remarks>
    /// This file is automatically generated by OpenAPI Generator (https://openapi-generator.tech).
    /// Please update the test case below to test the model.
    /// </remarks>
    public class RdsS3OptionsDtoTests : IDisposable
    {
        // TODO uncomment below to declare an instance variable for RdsS3OptionsDto
        //private RdsS3OptionsDto instance;

        public RdsS3OptionsDtoTests()
        {
            // TODO uncomment below to create an instance of RdsS3OptionsDto
            //instance = new RdsS3OptionsDto();
        }

        public void Dispose()
        {
            // Cleanup when everything is done.
        }

        /// <summary>
        /// Test an instance of RdsS3OptionsDto
        /// </summary>
        [Fact]
        public void RdsS3OptionsDtoInstanceTest()
        {
            // TODO uncomment below to test "IsType" RdsS3OptionsDto
            //Assert.IsType<RdsS3OptionsDto>(instance);
        }

        /// <summary>
        /// Test the property 'BucketName'
        /// </summary>
        [Fact]
        public void BucketNameTest()
        {
            // TODO unit test for the property 'BucketName'
        }

        /// <summary>
        /// Test the property 'AccessKeyRead'
        /// </summary>
        [Fact]
        public void AccessKeyReadTest()
        {
            // TODO unit test for the property 'AccessKeyRead'
        }

        /// <summary>
        /// Test the property 'SecretKeyRead'
        /// </summary>
        [Fact]
        public void SecretKeyReadTest()
        {
            // TODO unit test for the property 'SecretKeyRead'
        }

        /// <summary>
        /// Test the property 'AccessKeyWrite'
        /// </summary>
        [Fact]
        public void AccessKeyWriteTest()
        {
            // TODO unit test for the property 'AccessKeyWrite'
        }

        /// <summary>
        /// Test the property 'SecretKeyWrite'
        /// </summary>
        [Fact]
        public void SecretKeyWriteTest()
        {
            // TODO unit test for the property 'SecretKeyWrite'
        }

        /// <summary>
        /// Test the property 'Endpoint'
        /// </summary>
        [Fact]
        public void EndpointTest()
        {
            // TODO unit test for the property 'Endpoint'
        }

        /// <summary>
        /// Test the property 'Size'
        /// </summary>
        [Fact]
        public void SizeTest()
        {
            // TODO unit test for the property 'Size'
        }
    }
}
